Access Profiles
Propagate template changes to user copies
Pushes selected fields from the template to every user that holds a copy.
Use dry_run: true to preview the impact. By default, accumulated usage is preserved.
AuthorizationBearer <token>
Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT.
Virtual keys (prefixed with sk-bf-) can also be passed here.
In: header
Path Parameters
idinteger
dry_run?boolean
fieldsarray<string>
Items
1 <= itemsuser_ids?array<string>
Empty or omitted = all users with a copy of this profile.
group_ids?array<string>
Filter by SCIM group or team IDs.
reset_usage?boolean
If true, zero out budget and rate-limit usage on cloned rows. Default false (preserves usage).
Response Body
curl -X POST "https://loading/{AI_GATEWAY_URL}/api/access-profiles/0/propagate" \ -H "Content-Type: application/json" \ -d '{ "fields": [ "provider_configs" ] }'{
"affected_users": 0,
"failed_users": 0,
"skipped_users": 0,
"user_ids": [
"string"
],
"fields": [
"string"
],
"applied": true,
"vk_sync_errors": [
"string"
]
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}Empty
{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}